## xmlrpc-epi 0.54.2

=== debian/changelog ===
xmlrpc-epi (0.54.2-3) unstable; urgency=medium

  * QA upload.
  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Trim trailing whitespace.
    Changes-By: lintian-brush
    Fixes: lintian: trailing-whitespace
    See-also: https://lintian.debian.org/tags/trailing-whitespace.html
  * debian/copyright: Replace commas with whitespace to separate items in Files paragraph.
    Changes-By: lintian-brush
    Fixes: lintian: comma-separated-files-in-dep5-copyright
    See-also: https://lintian.debian.org/tags/comma-separated-files-in-dep5-copyright.html
  * Transition to automatic debug package (from: libxmlrpc-epi0-dbg).
    Changes-By: lintian-brush
    Fixes: lintian: debian-control-has-obsolete-dbg-package
    See-also: https://lintian.debian.org/tags/debian-control-has-obsolete-dbg-package.html
  * Bump debhelper from deprecated 8 to 10.
    Changes-By: lintian-brush
    Fixes: lintian: package-uses-deprecated-debhelper-compat-version
    See-also: https://lintian.debian.org/tags/package-uses-deprecated-debhelper-compat-version.html
  * Change priority extra to priority optional.
    Changes-By: lintian-brush
    Fixes: lintian: priority-extra-is-replaced-by-priority-optional
    See-also: https://lintian.debian.org/tags/priority-extra-is-replaced-by-priority-optional.html
  * Rely on pre-initialized dpkg-architecture variables.
    Changes-By: lintian-brush
  * Fix day-of-week for changelog entry 0.54.2-1.
    Changes-By: lintian-brush
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
    See-also: https://lintian.debian.org/tags/debian-changelog-has-wrong-day-of-week.html
  * Remove field Section on binary package libxmlrpc-epi0t64 that duplicates source.
    Changes-By: lintian-brush
    Fixes: lintian: installable-field-mirrors-source
    See-also: https://lintian.debian.org/tags/installable-field-mirrors-source.html

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 27 May 2024 21:21:47 +0200

xmlrpc-epi (0.54.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063280

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 07:41:11 +0000

xmlrpc-epi (0.54.2-2) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Drop the Vcs fields because they are not up-to-date.

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 16:05:35 +0000

xmlrpc-epi (0.54.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch from Helmut Grohne to make the xmlrpc-epi build in a
    cross-architecture situation. (Closes: #865688)
  * Move to dpkg-buildflags(1) in order to make the build reproducible.
    (Closes: #1020651)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Dec 2022 17:34:51 +0000

xmlrpc-epi (0.54.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-6296: Heap buffer overflow vulnerability in simplestring_addn
    (Closes: #832959)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Aug 2016 19:11:42 +0200

xmlrpc-epi (0.54.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727521)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 20:52:18 +0800

xmlrpc-epi (0.54.2-1) unstable; urgency=low

  * New upstream release (Closes:#620437)
  * libtool archives removed (Closes:#633255)
  * Multiarch support added

 -- Robin Cornelius <robin.cornelius@gmail.com>  Wed, 14 Dec 2011 13:24:34 +0000
