=== debian/control ===
Source: xmlrpc-epi
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://xmlrpc-epi.sourceforge.net/
Build-Depends: autotools-dev,
               debhelper (>= 10~),
               dh-autoreconf,
               dpkg-dev (>= 1.22.5),
               libexpat1-dev,
               pkgconf,
Standards-Version: 3.9.2
Section: libs
Vcs-Browser: https://salsa.debian.org/debian/xmlrpc-epi
Vcs-Git: https://salsa.debian.org/debian/xmlrpc-epi.git

Package: libxmlrpc-epi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxmlrpc-epi0t64 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for libxmlrpc-epi0t64, a XML-RPC request library
 An implementation of the XML-RPC protocol, providing an API for developers to
 serialise RPC requests to and from XML. It does not include any transport layer
 and is therefor useful for applications which implement their own transport or
 wish to use XML-RPC over an existing transport layer. This package contains
 the development files for applications wishing to use libxmlrpc-epi.

Package: libxmlrpc-epi0t64
Provides: ${t64:Provides},
Replaces: libxmlrpc-epi0,
Breaks: libxmlrpc-epi0 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: XML-RPC request serialisation/deserialisation library
 A library that implements a transportless implementation of the XML-RPC
 protocol.
