=== debian/rules ===
--- 
+++ 
@@ -6,21 +6,24 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+export DEB_BUILD_MAINT_OPTIONS = hardening=-format
 
-CFLAGS = -Wall -g
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+include /usr/share/dpkg/architecture.mk
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 config.status:
 	dh_testdir
-	./configure --build=$(DEB_BUILD_GNU_TYPE) --includedir=/usr/include/xmlrpc-epi --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	dh_autoreconf
+	dh_auto_configure -- --includedir=/usr/include/xmlrpc-epi \
+		--prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
+		$(DEB_CONFIGURE_EXTRA_FLAGS)
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)
@@ -30,12 +33,13 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_autoreconf_clean
 	dh_clean build_stamp
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Install the package into debian/tmp
@@ -55,7 +59,7 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip --dbg-package=libxmlrpc-epi0-dbg
+	dh_strip --dbgsym-migration='libxmlrpc-epi0-dbg (<< 0.54.2-2.2~)'
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
