=== debian/watch ===
version=3
http://sf.net/xmlrpc-epi/xmlrpc-epi-([0-9\.]*)\.tar\.gz
