## xmlrpc-epi 0.54.2-1.2-2

=== debian/changelog ===
xmlrpc-epi (0.54.2-1.2-2) unstable; urgency=medium

  * build for dilos

 -- Igor Kozhukhov <igor@dilos.org>  Fri, 26 May 2017 23:30:28 +0300
