=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,26 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=-format
+export LIBS += -liconv
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-include /usr/share/dpkg/architecture.mk
-DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
 
 config.status:
 	dh_testdir
 	dh_autoreconf
-	dh_auto_configure -- --includedir=/usr/include/xmlrpc-epi \
+	./configure --build=$(DEB_BUILD_GNU_TYPE) --includedir=/usr/include/xmlrpc-epi \
 		--prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
-		$(DEB_CONFIGURE_EXTRA_FLAGS)
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" $(DEB_CONFIGURE_EXTRA_FLAGS)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -59,7 +65,7 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip --dbgsym-migration='libxmlrpc-epi0-dbg (<< 0.54.2-2.2~)'
+	dh_strip --dbg-package=libxmlrpc-epi0-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
